# $Revision: 1.7 $, $Date: 2012/01/14 18:38:49 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	NBsocket
Summary:	Net::NBsocket - Non-Blocking Sockets
Summary(pl.UTF-8):	Net::NBsocket - nieblokujące gniazda
Name:		perl-Net-NBsocket
Version:	0.21
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	85653402f5cc087f15127d58275c9848
BuildRequires:	perl-NetAddr-IP >= 4.049
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::NBsocket provides a wrapper for Socket to supply Non-Blocking
sockets of various flavors.

%description -l pl.UTF-8
Net::NBsocket to pakiet obudowujący Socket, aby udostępnić
nieblokujące gniazda różnych rodzajów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Net/NBsocket/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/*.pm
%dir %{perl_vendorlib}/auto/Net/NBsocket
%{perl_vendorlib}/auto/Net/NBsocket/_accept.al
%{perl_vendorlib}/auto/Net/NBsocket/_connect.al
%{perl_vendorlib}/auto/Net/NBsocket/autosplit.ix
%{perl_vendorlib}/auto/Net/NBsocket/bind2pp.al
%{perl_vendorlib}/auto/Net/NBsocket/dyn_bind.al
%{perl_vendorlib}/auto/Net/NBsocket/open_Listen.al
%{perl_vendorlib}/auto/Net/NBsocket/open_UDP.al
%{perl_vendorlib}/auto/Net/NBsocket/open_udpNB.al
%{perl_vendorlib}/auto/Net/NBsocket/set_NB.al
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-NBsocket.spec,v $
Revision 1.7  2012/01/14 18:38:49  zbyniu
- up to 0.21

Revision 1.6  2009/08/28 07:35:27  amateja
- updated to 0.15

Revision 1.5  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.3  2006/11/17 22:09:45  maciek2w
- updated to 0.13; rel 1

Revision 1.2  2006/02/08 19:00:47  qboosh
- pl

Revision 1.1  2006/02/08 18:28:04  glen
- new
